<?php
/**
@brief Entry DataObject class を定義しているファイル
@author minahito
@version $Id: entry.php,v 1.3 2004/07/27 03:54:49 minahito Exp $
*/

require_once "xoops/class.object.php";
require_once "xoops/user.php";

class bxPartyEntryObject extends exXoopsObject {
	function bxPartyEntryObject($id=null)
	{
		$this->initVar('lid', XOBJ_DTYPE_INT, 0, true);
		$this->initVar('id', XOBJ_DTYPE_INT, 0, true);
		$this->initVar('uid', XOBJ_DTYPE_INT, 0, true);
		$this->initVar('entry_date', XOBJ_DTYPE_INT, time(), true);
		$this->initVar('update_date', XOBJ_DTYPE_INT, time(), true);
		$this->initVar('status', XOBJ_DTYPE_INT, 0, true);
		$this->initVar('comment', XOBJ_DTYPE_TXTBOX, null, true, 255);

		if ( is_array ( $id ) )
			$this->assignVars ( $id );
	}

	/**
	このオブジェクトとデーターベースとの接続方法を返す
	*/
	function &getTableInfo()
	{
		$tinfo = new exTableInfomation('bxparty_entry','lid');
		return ($tinfo);
	}

	function &getStructure($type='s') {
		require_once "xoops/user.php";
		$arr = parent::getStructure();

		$uHandler=&xoops_gethandler('user');
		$user = new exXoopsUserObject($uHandler->get($arr['uid']));
		$arr['xoopsuser']=$user->getArray($type);

		$handler=&bxParty::getHandler('status');
		$status=&$handler->get($this->getVar('status'));
		if(!is_object($status)) $status=&$handler->create();

		$arr['status']=&$status->getArray($type);
		
		return $arr;
	}
}

?>
